#!/usr/bin/env python

#
# Author: John Flanagan (jfflanag@bcm.edu)
# Copyright (c) 2011- Baylor College of Medicine
#
# This software is issued under a joint BSD/GNU license. You may use the
# source code in this file under either license. However, note that the
# complete EMAN2 and SPARX software packages have some GPL dependencies,
# so you are responsible for compliance with the licenses of these packages
# if you opt to use BSD licensing. The warranty disclaimer below holds
# in either instance.
#
# This complete copyright notice must be included in any revised version of the
# source code. Additional authorship citations may be added, but existing
# author citations must be preserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston MA 02111-1307 USA
#
#

wikiicon = [
    '15 14 2 1',
    'b c #000055',
    'c c None',
    'ccccccccccccccc',
    'ccccccccccccccc',
    'bcccbcbcbccbccb',
    'bcccbcccbccbccc',
    'bcccbcbcbcbcccb',
    'bcccbcbcbcbcccb',
    'bcbcbcbcbbccccb',
    'bcbcbcbcbbccccb',
    'bcbcbcbcbcbcccb',
    'bcbcbcbcbcbcccb',
    'bcbcbcbcbccbccb',
    'cbcbccbcbccbccb',
    'ccccccccccccccc',
    'ccccccccccccccc'
]

helpicon = [
    '15 14 2 1',
    'b c #000055',
    'c c None',
    'cccccbbbbbccccc',
    'ccccbbbbbbbcccc',
    'cccbbcccccbbccc',
    'ccbbcccccccbbcc',
    'ccbbccccccbbccc',
    'cccccccccbbcccc',
    'ccccccccbbccccc',
    'cccccccbbcccccc',
    'ccccccbbccccccc',
    'ccccccbbccccccc',
    'ccccccbbccccccc',
    'ccccccccccccccc',
    'ccccccbbccccccc',
    'ccccccbbccccccc'
]

logicon = [
    '15 14 2 1',
    'b c #000055',
    'c c None',
    'ccccccccccccccc',
    'ccccccccccccccc',
    'bccccbbcccbbbcc',
    'bcccbccbcbcccbc',
    'bcccbccbcbccccc',
    'bcccbccbcbccccc',
    'bcccbccbcbccccc',
    'bcccbccbcbccbbc',
    'bcccbccbcbcccbc',
    'bcccbccbcbcccbc',
    'bbbbcbbcccbbbcc',
    'ccccccccccccccc',
    'ccccccccccccccc',
    'ccccccccccccccc'
]

noteicon = [
    '15 14 2 1',
    'b c #000055',
    'c c None',
    'ccccccccbbccccc',
    'cccccccbbbbbccc',
    'cccccccbbbbbbcc',
    'ccccccbbbbbbccc',
    'ccccccbbbbbbccc',
    'cccccbbbbbbcccc',
    'ccccbbbbbbccccc',
    'ccccbbbbbbccccc',
    'cccbbbbbbcccccc',
    'ccbbbbbbccccccc',
    'ccbccbbbccccccc',
    'ccbcccbcccccccc',
    'cccbbbccccccccc',
    'ccccccccccccccc'
]

taskicon = [
    '15 14 2 1',
    'b c #000055',
    'c c None',
    'ccccccccccccccc',
    'ccccccccccccccc',
    'ccccccccccccccc',
    'ccccccccccccccc',
    'ccccccccccccccc',
    'bbbbbbbbbbbbbbb',
    'bbbbbbbbbcccccb',
    'bbbbbbbbbbbbbbb',
    'ccccccccccccccc',
    'ccccccccccccccc',
    'ccccccccccccccc',
    'ccccccccccccccc',
    'ccccccccccccccc',
    'ccccccccccccccc'
]

wizardicon = [
    '15 14 2 1',
    'b c #000055',
    'c c None',
    'cccccccccbbbccc',
    'ccccccccbbbbccc',
    'cccccccbbbccccc',
    'ccccccbbbbccccc',
    'cccccbbbbbccccc',
    'cccccbbbbbccccc',
    'ccccbbbbbbccccc',
    'ccccbbbbbbbcccc',
    'cccbbbbbbbbcccc',
    'cccbbcccbbbcccc',
    'ccbbbcbcbbbbccc',
    'bbbbbcccbbbbbbc',
    'cbbbbbbbbbbbbcc',
    'cccbbbbbbbbcccc'
]

experticon = [
    '15 14 2 1',
    'b c #000055',
    'c c None',
    'ccccccccccccccc',
    'bbbbbcbbccccbbc',
    'bbbbbcbbccccbbc',
    'bbcccccbbccbbcc',
    'bbcccccbbccbbcc',
    'bbbbccccbbbbccc',
    'bbbbcccccbbcccc',
    'bbcccccccbbcccc',
    'bbccccccbbbbccc',
    'bbcccccbbccbbcc',
    'bbcccccbbccbbcc',
    'bbbbbcbbccccbbc',
    'bbbbbcbbccccbbc',
    'ccccccccccccccc'
]

browseicon = [
    '15 14 2 1',
    'b c #000055',
    'c c None',
    'ccccccccccccccc',
    'bbbbbbccccccccc',
    'bccccbccccccccc',
    'bbbbbbbbbbbbbcc',
    'bbbbbbbbbbbbbbc',
    'bbbbbbbbbbbbbbc',
    'bbbbbbbbbbbbbbc',
    'bbbbbbbbbbbbbbc',
    'bbbbbbbbbbbbbbc',
    'bbbbbbbbbbbbbbc',
    'bbbbbbbbbbbbbbc',
    'bbbbbbbbbbbbbbc',
    'bbbbbbbbbbbbbbc',
    'ccccccccccccccc',
]
boldicon = [
    '15 14 2 1',
    'b c #000055',
    'c c None',
    'ccccccccccccccc',
    'ccbbbbbbbbbcccc',
    'ccbbbbbbbbbbccc',
    'ccbbccccccbbccc',
    'ccbbccccccbbccc',
    'ccbbccccccbbccc',
    'ccbbbbbbbbbcccc',
    'ccbbbbbbbbbcccc',
    'ccbbccccccbbccc',
    'ccbbccccccbbccc',
    'ccbbccccccbbccc',
    'ccbbbbbbbbbbccc',
    'ccbbbbbbbbbcccc',
    'ccccccccccccccc'
]

italicicon = [
    '15 14 2 1',
    'b c #000055',
    'c c None',
    'ccccccccccccccc',
    'cccbbbbbbbbbbbc',
    'cccbbbbbbbbbbbc',
    'cccccccbbbccccc',
    'cccccccbbbccccc',
    'ccccccbbbcccccc',
    'ccccccbbbcccccc',
    'ccccccbbbcccccc',
    'cccccbbbccccccc',
    'cccccbbbccccccc',
    'cccccbbbccccccc',
    'cbbbbbbbbbbbccc',
    'cbbbbbbbbbbbccc',
    'ccccccccccccccc'
]

underlineicon = [
    '15 14 2 1',
    'b c #000055',
    'c c None',
    'ccccccccccccccc',
    'ccbbcccccccbbcc',
    'ccbbcccccccbbcc',
    'ccbbcccccccbbcc',
    'ccbbcccccccbbcc',
    'ccbbcccccccbbcc',
    'ccbbcccccccbbcc',
    'ccbbcccccccbbcc',
    'ccbbcccccccbbcc',
    'cccbbbbbbbbbccc',
    'ccccbbbbbbbcccc',
    'ccccccccccccccc',
    'bbbbbbbbbbbbbbb',
    'bbbbbbbbbbbbbbb'
]

pmicon = [
    '15 14 2 1',
    'b c #000055',
    'c c None',
    'cccccccbccccccc',
    'cccccbbbbbccccc',
    'cccccbbbbbccccc',
    'cccccbbbbbccccc',
    'cccccbbbbbccccc',
    'cccccbbbbbbbccc',
    'cccccbbbbbbbccc',
    'cccccbbbbbccccc',
    'cccccbbbbbccccc',
    'cccccbbbbbccccc',
    'ccccbbbcbbbcccc',
    'cccbbbcccbbbccc',
    'cccbbbcccbbbccc',
    'cccbbbbbbbbbccc'
]

wahicon = [
"30 30 580 2",
"  	c #FFFFFF",
". 	c #FEFEFC",
"+ 	c #FDFDFC",
"@ 	c #FEFEFE",
"# 	c #DBD8D2",
"$ 	c #C1BEB6",
"% 	c #989183",
"& 	c #B5B0A7",
"* 	c #B9B4AB",
"= 	c #A6A195",
"- 	c #BDB9B2",
"; 	c #D1D0CD",
"> 	c #FCFBF8",
", 	c #F4F3EB",
"' 	c #FEFDFD",
") 	c #D9D6D3",
"! 	c #6C6555",
"~ 	c #3C3322",
"{ 	c #453A2B",
"] 	c #453523",
"^ 	c #4B3722",
"/ 	c #513C24",
"( 	c #533F29",
"_ 	c #473722",
": 	c #423A2A",
"< 	c #8A8782",
"[ 	c #AAA7A1",
"} 	c #272116",
"| 	c #3F332C",
"1 	c #543D2D",
"2 	c #644228",
"3 	c #79502C",
"4 	c #835529",
"5 	c #88562B",
"6 	c #86562D",
"7 	c #855831",
"8 	c #71502E",
"9 	c #59482F",
"0 	c #6F6653",
"a 	c #DCDBDA",
"b 	c #FEFEFD",
"c 	c #968F8A",
"d 	c #3B302C",
"e 	c #4C3E38",
"f 	c #5E422D",
"g 	c #815432",
"h 	c #905B2E",
"i 	c #935E31",
"j 	c #925A30",
"k 	c #8E592F",
"l 	c #8E5C34",
"m 	c #8F5C35",
"n 	c #8E5A33",
"o 	c #85572E",
"p 	c #6E4D2D",
"q 	c #4B3F36",
"r 	c #F9F9F8",
"s 	c #B7B4B1",
"t 	c #473C32",
"u 	c #483F35",
"v 	c #5A432F",
"w 	c #845A32",
"x 	c #946134",
"y 	c #985F33",
"z 	c #9B6137",
"A 	c #9C6338",
"B 	c #9A6339",
"C 	c #986039",
"D 	c #99613C",
"E 	c #97613A",
"F 	c #905D36",
"G 	c #8A5831",
"H 	c #674C2D",
"I 	c #8D816B",
"J 	c #F8F8F7",
"K 	c #564F46",
"L 	c #4F4743",
"M 	c #423528",
"N 	c #7A5732",
"O 	c #9A683C",
"P 	c #A06B3F",
"Q 	c #A16940",
"R 	c #A36941",
"S 	c #A96F47",
"T 	c #AC714C",
"U 	c #AC714E",
"V 	c #AA6D4C",
"W 	c #A96D4B",
"X 	c #A16845",
"Y 	c #9B623E",
"Z 	c #8C5934",
"` 	c #745C37",
" .	c #BFBAA2",
"..	c #D7D6D4",
"+.	c #504842",
"@.	c #443935",
"#.	c #56422F",
"$.	c #7E5C36",
"%.	c #A27249",
"&.	c #AA7348",
"*.	c #AD784B",
"=.	c #B07B50",
"-.	c #AF7951",
";.	c #B27853",
">.	c #B27553",
",.	c #AE7050",
"'.	c #AD7251",
").	c #AB704F",
"!.	c #A16846",
"~.	c #95633F",
"{.	c #815C3A",
"].	c #837761",
"^.	c #FDFDFD",
"/.	c #514B40",
"(.	c #49413C",
"_.	c #392F27",
":.	c #5F4A35",
"<.	c #785734",
"[.	c #9A6D44",
"}.	c #AA754A",
"|.	c #B27F53",
"1.	c #BA845D",
"2.	c #B57F59",
"3.	c #B07852",
"4.	c #B57B57",
"5.	c #B07554",
"6.	c #A96E50",
"7.	c #AB7051",
"8.	c #A76C4D",
"9.	c #976342",
"0.	c #8B613C",
"a.	c #77603F",
"b.	c #EEEDEA",
"c.	c #EBEBE9",
"d.	c #403A30",
"e.	c #312B25",
"f.	c #3D3228",
"g.	c #533F2C",
"h.	c #735137",
"i.	c #936743",
"j.	c #AC794F",
"k.	c #B18053",
"l.	c #B47E59",
"m.	c #A97A5B",
"n.	c #A97F66",
"o.	c #B68B75",
"p.	c #B3826F",
"q.	c #B4795E",
"r.	c #B2775C",
"s.	c #B97D61",
"t.	c #AA7658",
"u.	c #946948",
"v.	c #694E35",
"w.	c #DCD9D6",
"x.	c #C0BFBD",
"y.	c #312C27",
"z.	c #2E2621",
"A.	c #40332D",
"B.	c #4D3E33",
"C.	c #62442F",
"D.	c #9F724B",
"E.	c #AF8051",
"F.	c #AC7B50",
"G.	c #AB7A55",
"H.	c #9B755A",
"I.	c #8D715D",
"J.	c #8C7160",
"K.	c #957667",
"L.	c #AC7D6A",
"M.	c #BD816F",
"N.	c #B37E72",
"O.	c #815E55",
"P.	c #5F493D",
"Q.	c #524031",
"R.	c #8D887F",
"S.	c #C2C0BF",
"T.	c #261F18",
"U.	c #3E3330",
"V.	c #453C33",
"W.	c #624736",
"X.	c #A2734F",
"Y.	c #8E623C",
"Z.	c #8D5F42",
"`.	c #8E6846",
" +	c #AD835F",
".+	c #AF825B",
"++	c #966743",
"@+	c #9F7252",
"#+	c #AA846E",
"$+	c #A77966",
"%+	c #936C55",
"&+	c #9B785A",
"*+	c #A98461",
"=+	c #8D704B",
"-+	c #635A3E",
";+	c #999593",
">+	c #443027",
",+	c #5E4437",
"'+	c #3F3227",
")+	c #3B342F",
"!+	c #62432F",
"~+	c #A26D4C",
"{+	c #A97957",
"]+	c #A57859",
"^+	c #9C7356",
"/+	c #936C52",
"(+	c #72594C",
"_+	c #654B39",
":+	c #81563D",
"<+	c #9A7761",
"[+	c #9F7556",
"}+	c #7B5C4F",
"|+	c #8E6A5E",
"1+	c #694939",
"2+	c #7D5F3B",
"3+	c #605338",
"4+	c #B7B4AB",
"5+	c #AC9791",
"6+	c #AD6F59",
"7+	c #A5765C",
"8+	c #7F5F44",
"9+	c #402B1D",
"0+	c #9B6C4B",
"a+	c #B17D58",
"b+	c #B3825C",
"c+	c #A97753",
"d+	c #946444",
"e+	c #996B50",
"f+	c #956A52",
"g+	c #88573C",
"h+	c #8D6145",
"i+	c #936953",
"j+	c #AC6E53",
"k+	c #8D654B",
"l+	c #7D5C48",
"m+	c #704E3A",
"n+	c #61442B",
"o+	c #352C1B",
"p+	c #A6A59F",
"q+	c #C4AEA6",
"r+	c #B5725B",
"s+	c #C08A7B",
"t+	c #916449",
"u+	c #5D4537",
"v+	c #A36F4D",
"w+	c #A9764F",
"x+	c #B3815A",
"y+	c #B27D56",
"z+	c #B17956",
"A+	c #A97455",
"B+	c #A36F53",
"C+	c #9F674C",
"D+	c #AB795E",
"E+	c #AE7653",
"F+	c #B0714E",
"G+	c #965F3D",
"H+	c #986C52",
"I+	c #956146",
"J+	c #845D3E",
"K+	c #4A3524",
"L+	c #BFBFBB",
"M+	c #CFC0BC",
"N+	c #B67459",
"O+	c #B58374",
"P+	c #966548",
"Q+	c #6A4D3A",
"R+	c #9D694B",
"S+	c #A3714E",
"T+	c #B27D5B",
"U+	c #BC8162",
"V+	c #C88D71",
"W+	c #BF866F",
"X+	c #B87D63",
"Y+	c #B77C62",
"Z+	c #B97C63",
"`+	c #B2734D",
" @	c #B87354",
".@	c #AC654D",
"+@	c #8D5F3E",
"@@	c #986447",
"#@	c #8D6440",
"$@	c #7A5C42",
"%@	c #FDFEFF",
"&@	c #AEA5A2",
"*@	c #AE7860",
"=@	c #BF8878",
"-@	c #AA795A",
";@	c #876042",
">@	c #966648",
",@	c #A56F4F",
"'@	c #AE7657",
")@	c #BB7E64",
"!@	c #C58873",
"~@	c #CB917F",
"{@	c #C3846F",
"]@	c #B77A64",
"^@	c #AC6951",
"/@	c #BC795F",
"(@	c #C88E77",
"_@	c #BE7F6D",
":@	c #95654A",
"<@	c #A5684E",
"[@	c #A06D4C",
"}@	c #7E5F46",
"|@	c #F1F3F2",
"1@	c #D6D6D6",
"2@	c #95684C",
"3@	c #B57B61",
"4@	c #A47054",
"5@	c #956947",
"6@	c #A16E4F",
"7@	c #A56F4E",
"8@	c #B07A5B",
"9@	c #B77C5F",
"0@	c #C2856E",
"a@	c #C48A79",
"b@	c #B67B69",
"c@	c #B27864",
"d@	c #A66551",
"e@	c #955F52",
"f@	c #805349",
"g@	c #8B5F50",
"h@	c #865B48",
"i@	c #A76A52",
"j@	c #9E664B",
"k@	c #7B5F4E",
"l@	c #FEFFFF",
"m@	c #997D72",
"n@	c #C4805D",
"o@	c #B47E5D",
"p@	c #9E704F",
"q@	c #A47251",
"r@	c #AA7553",
"s@	c #AE7959",
"t@	c #B88163",
"u@	c #BF866B",
"v@	c #C28971",
"w@	c #BA8365",
"x@	c #B88769",
"y@	c #AA7860",
"z@	c #866153",
"A@	c #765043",
"B@	c #765448",
"C@	c #6C4736",
"D@	c #9C674E",
"E@	c #95634B",
"F@	c #998977",
"G@	c #F4F1F0",
"H@	c #B47258",
"I@	c #C68266",
"J@	c #A57354",
"K@	c #A27250",
"L@	c #A87351",
"M@	c #B17B5A",
"N@	c #B98566",
"O@	c #BF8A6C",
"P@	c #BE8468",
"Q@	c #936A56",
"R@	c #6B4F3F",
"S@	c #81584A",
"T@	c #875C50",
"U@	c #86564B",
"V@	c #855544",
"W@	c #644436",
"X@	c #684B35",
"Y@	c #8B6141",
"Z@	c #908778",
"`@	c #FFFFFE",
" #	c #AD9D99",
".#	c #7E5D53",
"+#	c #8C644B",
"@#	c #9D6E4C",
"##	c #A2724E",
"$#	c #AF7957",
"%#	c #BC8465",
"&#	c #BD876B",
"*#	c #BB896E",
"=#	c #705748",
"-#	c #523F40",
";#	c #78524C",
">#	c #9C7C6F",
",#	c #967063",
"'#	c #845D4C",
")#	c #68433E",
"!#	c #50382A",
"~#	c #815B3F",
"{#	c #D6D4D1",
"]#	c #FCFCFC",
"^#	c #F0F0EF",
"/#	c #896A4E",
"(#	c #9C6F4E",
"_#	c #976C49",
":#	c #A47452",
"<#	c #B78062",
"[#	c #BB876A",
"}#	c #B5896D",
"|#	c #AA8269",
"1#	c #9D6B59",
"2#	c #9C5D56",
"3#	c #A0605C",
"4#	c #9E705E",
"5#	c #8A5F4E",
"6#	c #6C463D",
"7#	c #927158",
"8#	c #87664C",
"9#	c #E9E8E6",
"0#	c #FAF9F9",
"a#	c #ECEBE9",
"b#	c #8B6A44",
"c#	c #9A6F53",
"d#	c #936A4B",
"e#	c #986E4E",
"f#	c #AF7D5C",
"g#	c #B58263",
"h#	c #B08469",
"i#	c #B08870",
"j#	c #B8886B",
"k#	c #B48167",
"l#	c #B97869",
"m#	c #B4655F",
"n#	c #A45A4F",
"o#	c #85553B",
"p#	c #916B53",
"q#	c #8C735D",
"r#	c #F9F8F8",
"s#	c #EEECEB",
"t#	c #96744E",
"u#	c #9D6F4F",
"v#	c #A27755",
"w#	c #936747",
"x#	c #9B6E4E",
"y#	c #AC7C5E",
"z#	c #B28063",
"A#	c #B6886B",
"B#	c #BD8B6B",
"C#	c #BC876C",
"D#	c #AF7E69",
"E#	c #946954",
"F#	c #89604F",
"G#	c #886445",
"H#	c #7E6046",
"I#	c #B1ACA3",
"J#	c #E4E1E0",
"K#	c #956F49",
"L#	c #AA7B54",
"M#	c #AA7D56",
"N#	c #A27455",
"O#	c #94684F",
"P#	c #986D52",
"Q#	c #AC7B5D",
"R#	c #B88968",
"S#	c #BF8B6B",
"T#	c #C28A6C",
"U#	c #B17A63",
"V#	c #A46E53",
"W#	c #8F6647",
"X#	c #755E51",
"Y#	c #958D8B",
"Z#	c #9D6E53",
"`#	c #AC8156",
" $	c #B1815C",
".$	c #AC7E5F",
"+$	c #9D6F52",
"@$	c #9A6E53",
"#$	c #90684F",
"$$	c #A1795A",
"%$	c #B4876C",
"&$	c #BC8B75",
"*$	c #B78772",
"=$	c #AE7E65",
"-$	c #A16F55",
";$	c #886448",
">$	c #D7D5D1",
",$	c #C7BCB8",
"'$	c #96909E",
")$	c #9D7352",
"!$	c #B08358",
"~$	c #B78762",
"{$	c #B68868",
"]$	c #A6785B",
"^$	c #996D52",
"/$	c #916952",
"($	c #815E4A",
"_$	c #876655",
":$	c #967264",
"<$	c #9B7366",
"[$	c #9D7565",
"}$	c #856653",
"|$	c #84745F",
"1$	c #FBFBFB",
"2$	c #FBFDFD",
"3$	c #FFFEFE",
"4$	c #D8D5D3",
"5$	c #AB9F9B",
"6$	c #B2A0A6",
"7$	c #9F6E48",
"8$	c #B1855C",
"9$	c #B98B65",
"0$	c #B68968",
"a$	c #B8896B",
"b$	c #B28368",
"c$	c #A47960",
"d$	c #97705B",
"e$	c #845F4E",
"f$	c #755448",
"g$	c #705245",
"h$	c #725645",
"i$	c #685844",
"j$	c #F7F6F4",
"k$	c #FEFEFF",
"l$	c #CFCCCA",
"m$	c #A29993",
"n$	c #C5B8BC",
"o$	c #C2BAC1",
"p$	c #9D7D68",
"q$	c #B48559",
"r$	c #BA8E6A",
"s$	c #BE916F",
"t$	c #BB8B6D",
"u$	c #B98A6F",
"v$	c #B2856B",
"w$	c #B18268",
"x$	c #AE816A",
"y$	c #9D7461",
"z$	c #836048",
"A$	c #7E5F43",
"B$	c #8A7B76",
"C$	c #ECEBEB",
"D$	c #EDECEA",
"E$	c #9B948E",
"F$	c #B5A9A9",
"G$	c #C4B7BF",
"H$	c #CABCC8",
"I$	c #C7BCCC",
"J$	c #CCC4D2",
"K$	c #AC8871",
"L$	c #BC906E",
"M$	c #BE9171",
"N$	c #BD8F72",
"O$	c #B78A71",
"P$	c #B48871",
"Q$	c #B58772",
"R$	c #B2866F",
"S$	c #987057",
"T$	c #8A654C",
"U$	c #876449",
"V$	c #9A8E9D",
"W$	c #7F7A7D",
"X$	c #8F8B88",
"Y$	c #EDECEB",
"Z$	c #F6F6F6",
"`$	c #D7D0C8",
" %	c #CAC0B9",
".%	c #BFB2B0",
"+%	c #C2B7BC",
"@%	c #C7BAC6",
"#%	c #C3B9CB",
"$%	c #C9C0D2",
"%%	c #CCBCCF",
"&%	c #C4C0DB",
"*%	c #C8B9C1",
"=%	c #B8937F",
"-%	c #C19375",
";%	c #BC8E77",
">%	c #BD8E77",
",%	c #C1927B",
"'%	c #B68C76",
")%	c #A47A65",
"!%	c #9B7259",
"~%	c #8F6B4C",
"{%	c #83624F",
"]%	c #9D92A9",
"^%	c #AEA8B4",
"/%	c #AFA6B3",
"(%	c #ACA4AF",
"_%	c #ADA8B1",
":%	c #9E9CA5",
"<%	c #A09C9F",
"[%	c #D6D7DB",
"}%	c #E4E5EB",
"      . +       @     # $ % & * = - ;       > ,       '     ",
"    @     @   @   ) ! ~ { ] ^ / ( _ : <         @   @   @   ",
"            @   [ } | 1 2 3 4 5 6 7 8 9 0 a   @   b @       ",
"          @   c d e f g h i j k l m n o p q r     @         ",
"            s t u v w x y z A B C D E F G H I     @         ",
"          J K L M N O P Q R S T U V W X Y Z `  .@           ",
"          ..+.@.#.$.%.&.*.=.-.;.>.,.'.).!.~.{.].^.@         ",
"          /.(._.:.<.[.}.|.1.2.3.4.5.6.7.8.9.0.a.b.          ",
"        c.d.e.f.g.h.i.j.k.l.m.n.o.p.q.r.s.t.u.v.w.          ",
"        x.y.z.A.B.C.D.E.F.G.H.I.J.K.L.M.N.O.P.Q.R.          ",
"      @ S.T.d U.V.W.X.Y.Z.`. +.+++@+#+$+%+&+*+=+-+  @       ",
"        ;+>+,+'+)+!+~+{+]+^+/+(+_+:+<+[+}+|+1+2+3+4+        ",
"        5+6+7+8+9+0+a+b+c+d+e+f+g+h+i+j+k+l+m+n+o+p+        ",
"        q+r+s+t+u+v+w+x+y+z+A+B+C+D+E+F+G+H+I+J+K+L+        ",
"        M+N+O+P+Q+R+S+T+U+V+W+X+Y+Z+`+ @.@+@@@#@$@%@@       ",
"        &@*@=@-@;@>@,@'@)@!@~@{@]@^@/@(@_@:@<@[@}@|@        ",
"      @ 1@2@3@4@5@6@7@8@9@0@a@b@c@d@e@f@g@h@i@j@k@l@        ",
"          m@n@o@p@q@r@s@t@u@v@w@x@y@z@A@B@C@D@E@F@          ",
"          G@H@I@J@K@L@M@N@O@P@Q@R@S@T@U@V@W@X@Y@Z@  @   @   ",
"    `@  @ @  #.#+#@###$#%#&#*#=#-#;#>#,#'#)#!#~#{#    ]#    ",
"      `@      ^#/#(#_#:#<#[#}#|#1#2#3#4#5#6#7#8#9#  @   @   ",
"    `@  `@  0#a#b#c#d#e#f#g#h#i#j#k#l#m#n#o#p#q#r#          ",
"          @ @ s#t#u#v#w#x#y#z#A#B#C#D#E#F#G#H#I#            ",
"              J#K#L#M#N#O#P#Q#R#S#T#W+U#V#W#X#              ",
"          @   Y#Z#`# $.$+$@$#$$$%$&$*$=$-$;$>$    l@        ",
"          r ,$'$)$!$~${$]$^$/$($_$:$<$[$}$|$1$@ 2$3$        ",
"    @     4$5$6$7$8$9$0$a$b$c$d$e$f$g$h$i$j$k$@ +           ",
"  @     l$m$n$o$p$q$r$s$t$u$v$w$x$y$z$A$B$C$      @         ",
"  ^.D$E$F$G$H$I$J$K$L$M$N$O$P$Q$R$S$T$U$V$W$X$Y$Z$^.        ",
"`$ %.%+%@%#%$%%%&%*%=%-%;%>%,%'%)%!%~%{%]%^%/%(%_%:%<%[%}%]#"
]
